Subject: bug#76596: 30.1; dired-movement-style does not honor subdir operations

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Feb 2025 21:48:25 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Charles Choi <[email-masked]>,  [email-masked]
> Date: Thu, 27 Feb 2025 19:52:05 +0200
> 
> >> **** Expected Result
> >> Point should land on subdir.
> >> 
> >> **** Actual Result
> >> Point avoids subdir, preventing running operations on it such as removing it (C-u k).
> >
> > Juri, this seems to be due to your changes in commit 29d42d9158ae:
> > dired-between-files returns non-nil when on a subdirectory line, so
> > Dired thinks it's an empty line.
> >
> > Charles, does the patch below give good results?
> >
> > Juri, do you agree with the patch?  It should go to the release
> > branch.
> 
> I'm not sure what is the behavior expected by most users?
> It seems the intention for this feature was to visit only
> filename lines with n, p, C-p, C-n,

I initially thought about that, but (a) the documentation says
something else, and (b) the original implementation, before your
changes mentioned above, indeed skipped only empty lines, not any
lines that don't show a file name.  So I changed my mind about that.